// EyeBot Demo Program: Drive, T. Bräunl, Nov. 2017
#include "eyebot.h"

void motors(int a, int b, int c, int d)
{ digitalWrite (26, a);
  digitalWrite (27, b);
  digitalWrite (28, c);
  digitalWrite (29, d);
}


int main (void)
{ LCDPrintf("init pins\n");
  wiringPiSetup();
  pinMode (26, OUTPUT);
  pinMode (27, OUTPUT);
  pinMode (28, OUTPUT);
  pinMode (29, OUTPUT);

  LCDPrintf("Motor A\n");
  motors(1,0, 0,0); delay(1000);
  motors(0,1, 0,0); delay(1000);
  LCDPrintf("Motor B\n");
  motors(0,0, 1,0); delay(1000);
  motors(0,0, 0,1); delay(1000);
  motors(0,0, 0,0);

  return 0 ;
}
